summaryrefslogtreecommitdiff
path: root/mail-client/roundcube
diff options
context:
space:
mode:
Diffstat (limited to 'mail-client/roundcube')
-rw-r--r--mail-client/roundcube/Manifest2
-rw-r--r--mail-client/roundcube/metadata.xml4
-rw-r--r--mail-client/roundcube/roundcube-1.4.10.ebuild (renamed from mail-client/roundcube/roundcube-1.4.9.ebuild)35
-rw-r--r--mail-client/roundcube/roundcube-1.4.8.ebuild4
-rw-r--r--mail-client/roundcube/roundcube-9999.ebuild96
5 files changed, 132 insertions, 9 deletions
diff --git a/mail-client/roundcube/Manifest b/mail-client/roundcube/Manifest
index 95defd4eca07..1bbe911c4ab6 100644
--- a/mail-client/roundcube/Manifest
+++ b/mail-client/roundcube/Manifest
@@ -1,2 +1,2 @@
+DIST roundcubemail-1.4.10-complete.tar.gz 7043181 BLAKE2B aa442c9e4fb4d31bc9ddd77d888637d9d7afb8ac6c264ca5d378bd7bfc160f2f31379fae208638b2f79e6127add83f0254d1526e22c2ca24656b31ee75dc695e SHA512 e0a661ae5b928ce2c93129775d32a679ad2512ca4af21e8dd1711d38a62818ff9ee1e1fc922aae68e0a8bca034ca780fc3e3e988731a2ce9b2190b2c1d8e08a6
DIST roundcubemail-1.4.8-complete.tar.gz 7032822 BLAKE2B 61c5329d9abe65baba3274d3cb9a6a435f886a0196c2881153da473eb415ad4c63dfdab49c67c75a2fd92ff55f9e6da7bdfcece7041ce408b2be628da47045d4 SHA512 8b7734cdec95954b7e18a0e44957da6ef74b5b0c3d28a1449e8634faa230844f5e0c28954245641758f8b2d9102aa32f279765ed3dfa20fa7b00dee4e5347362
-DIST roundcubemail-1.4.9-complete.tar.gz 7043437 BLAKE2B a1b7c6e160d29f61e2ca9c25f725b55411cb52c0f0d00fc4b3dc2ab1eb0edf190176ec932a297d6052b34047673e5dfb8cb13ad3a7b8b755e9d8e9265fb85aa9 SHA512 c6395757544b85693e808234f3dc6baac618ba115fb2c9eefc309ee18e74b2fdfbc0af00ac2b3b980fdd2abc56eefde47b535cdf688cfd2a5ce975786aca6572
diff --git a/mail-client/roundcube/metadata.xml b/mail-client/roundcube/metadata.xml
index a86ec0f59971..34b56739ecab 100644
--- a/mail-client/roundcube/metadata.xml
+++ b/mail-client/roundcube/metadata.xml
@@ -5,6 +5,10 @@
<email>titanofold@gentoo.org</email>
<name>Aaron W. Swenson</name>
</maintainer>
+ <maintainer type="person">
+ <email>candrews@gentoo.org</email>
+ <name>Craig Andrews</name>
+ </maintainer>
<maintainer type="project">
<email>web-apps@gentoo.org</email>
<name>Gentoo Webapps</name>
diff --git a/mail-client/roundcube/roundcube-1.4.9.ebuild b/mail-client/roundcube/roundcube-1.4.10.ebuild
index 6d3b3ede4e45..2b983aea987c 100644
--- a/mail-client/roundcube/roundcube-1.4.9.ebuild
+++ b/mail-client/roundcube/roundcube-1.4.10.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
inherit webapp
@@ -11,12 +11,10 @@ MY_P=${MY_PN}-${MY_PV}
DESCRIPTION="A browser-based multilingual IMAP client with an application-like user interface"
HOMEPAGE="https://roundcube.net"
-SRC_URI="https://github.com/${PN}/${MY_PN}/releases/download/${MY_PV}/${MY_P}-complete.tar.gz"
# roundcube is GPL-licensed, the rest of the licenses here are
# for bundled PEAR components, googiespell and utf8.class.php
LICENSE="GPL-3 BSD PHP-2.02 PHP-3 MIT public-domain"
-KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
IUSE="change-password enigma ldap mysql postgres sqlite ssl spell"
REQUIRED_USE="|| ( mysql postgres sqlite )"
@@ -26,7 +24,7 @@ need_httpd_cgi
RDEPEND="
${DEPEND}
- >=dev-lang/php-5.4.0[filter,gd,iconv,json,ldap?,pdo,postgres?,session,sqlite?,ssl?,unicode,xml]
+ >=dev-lang/php-5.4.0[filter,gd,iconv,json(+),ldap?,pdo,postgres?,session,sqlite?,ssl?,unicode,xml]
virtual/httpd-php
change-password? (
dev-lang/php[sockets]
@@ -43,7 +41,32 @@ RDEPEND="
spell? ( dev-lang/php[curl,spell] )
"
-S="${WORKDIR}/${MY_P}"
+if [[ ${PV} == *9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/roundcube/roundcubemail"
+ EGIT_BRANCH="master"
+ BDEPEND="${BDEPEND}
+ app-arch/unzip
+ dev-php/composer
+ net-misc/curl"
+else
+ SRC_URI="https://github.com/${PN}/${MY_PN}/releases/download/${MY_PV}/${MY_P}-complete.tar.gz"
+ S="${WORKDIR}/${MY_P}"
+ KEYWORDS="amd64 arm ~hppa ppc ppc64 sparc x86"
+fi
+
+src_unpack() {
+ if [[ "${PV}" == *9999* ]]; then
+ git-r3_src_unpack
+ pushd "${S}" > /dev/null || die
+ mv composer.json-dist composer.json || die
+ composer install --no-dev || die
+ ./bin/install-jsdeps.sh || die
+ popd > /dev/null || die
+ else
+ default
+ fi
+}
src_install() {
webapp_src_preinst
diff --git a/mail-client/roundcube/roundcube-1.4.8.ebuild b/mail-client/roundcube/roundcube-1.4.8.ebuild
index f39bfa3d9793..2086798cf418 100644
--- a/mail-client/roundcube/roundcube-1.4.8.ebuild
+++ b/mail-client/roundcube/roundcube-1.4.8.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -68,6 +68,6 @@ pkg_postinst() {
if [[ -n ${REPLACING_VERSIONS} ]]; then
elog "You can review the post-upgrade instructions at:"
- elog "${EROOT%/}/usr/share/webapps/${PN}/${PV}/postupgrade-en.txt"
+ elog "${EROOT}/usr/share/webapps/${PN}/${PV}/postupgrade-en.txt"
fi
}
diff --git a/mail-client/roundcube/roundcube-9999.ebuild b/mail-client/roundcube/roundcube-9999.ebuild
new file mode 100644
index 000000000000..ad0082bc0ecb
--- /dev/null
+++ b/mail-client/roundcube/roundcube-9999.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit webapp
+
+MY_PN=${PN}mail
+MY_PV=${PV/_/-}
+MY_P=${MY_PN}-${MY_PV}
+
+DESCRIPTION="A browser-based multilingual IMAP client with an application-like user interface"
+HOMEPAGE="https://roundcube.net"
+
+# roundcube is GPL-licensed, the rest of the licenses here are
+# for bundled PEAR components, googiespell and utf8.class.php
+LICENSE="GPL-3 BSD PHP-2.02 PHP-3 MIT public-domain"
+
+IUSE="change-password enigma ldap mysql postgres sqlite ssl spell"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+# this function only sets DEPEND so we need to include that in RDEPEND
+need_httpd_cgi
+
+RDEPEND="
+ ${DEPEND}
+ >=dev-lang/php-5.4.0[filter,gd,iconv,json(+),ldap?,pdo,postgres?,session,sqlite?,ssl?,unicode,xml]
+ virtual/httpd-php
+ change-password? (
+ dev-lang/php[sockets]
+ )
+ enigma? (
+ app-crypt/gnupg
+ )
+ mysql? (
+ || (
+ dev-lang/php[mysql]
+ dev-lang/php[mysqli]
+ )
+ )
+ spell? ( dev-lang/php[curl,spell] )
+"
+
+if [[ ${PV} == *9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/roundcube/roundcubemail"
+ EGIT_BRANCH="master"
+ BDEPEND="${BDEPEND}
+ app-arch/unzip
+ dev-php/composer
+ net-misc/curl"
+else
+ SRC_URI="https://github.com/${PN}/${MY_PN}/releases/download/${MY_PV}/${MY_P}-complete.tar.gz"
+ S="${WORKDIR}/${MY_P}"
+ KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
+fi
+
+src_unpack() {
+ if [[ "${PV}" == *9999* ]]; then
+ git-r3_src_unpack
+ pushd "${S}" > /dev/null || die
+ mv composer.json-dist composer.json || die
+ composer install --no-dev || die
+ ./bin/install-jsdeps.sh || die
+ popd > /dev/null || die
+ else
+ default
+ fi
+}
+
+src_install() {
+ webapp_src_preinst
+
+ dodoc CHANGELOG INSTALL README.md UPGRADING
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r [[:lower:]]* SQL
+ doins .htaccess
+
+ webapp_serverowned "${MY_HTDOCSDIR}"/logs
+ webapp_serverowned "${MY_HTDOCSDIR}"/temp
+
+ webapp_configfile "${MY_HTDOCSDIR}"/config/defaults.inc.php
+ webapp_postupgrade_txt en "${FILESDIR}/POST-UPGRADE_complete.txt"
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ webapp_pkg_postinst
+
+ if [[ -n ${REPLACING_VERSIONS} ]]; then
+ elog "You can review the post-upgrade instructions at:"
+ elog "${EROOT}/usr/share/webapps/${PN}/${PV}/postupgrade-en.txt"
+ fi
+}